#include <LiquidCrystal.h>

//LiquidCrystal lcd(2, 4, 7, 8, 10, 12);
LiquidCrystal lcd(7, 6, 5, 4, 3, 2);
int starttime;
int activetime;
int prevoustime = 0;
int hours = 0;
int mins = 0;
int ahours = 0;
int amins = 0;

void setup()
{
  lcd.begin(16, 2);
  lcd.clear();
    Serial.begin(9600);
  pinMode(13, INPUT);       //Opsætter pin 13 som indgang
  digitalWrite(13, HIGH);   //Aktiverer intern pull up
  pinMode(11, INPUT);
  digitalWrite(11, HIGH);   // pin 11, Indgang og intern pull up
  pinMode(10, INPUT);
  digitalWrite(10, HIGH);   // pin 10, Indgang og intern pull up
  
   pinMode(8, INPUT);
  digitalWrite(8, HIGH);    // pin 08, Indgang og intern pull up
  pinMode(A0, OUTPUT);
  digitalWrite(A0, HIGH);   // pin A0, output og sat høj
  pinMode(9, OUTPUT);    // pin 09, output men ikke sat til noget
  starttime = millis()/1000;} // start tælling af sekunder 
void loop(){
  while(digitalRead(8) == LOW){
    lcd.setCursor(6,1);
    lcd.print("Alarm");
    lcd.setCursor(6,0);
       if(digitalRead(11) == LOW)
    {
     amins++;
    } 
    else if (digitalRead(10) == LOW)
    {
      ahours++;
    }
     lcd.setCursor(6,0);
  
  if(ahours < 10)
  {
    lcd.print("0");
    lcd.print(ahours);
  }
  else
  {
    lcd.print(ahours);
  }
    
    lcd.print(":");
    
  if (amins < 10)
  {
    lcd.print("0");
      lcd.print(amins);
  }
  else
  {
      lcd.print(amins);
  }
 if(amins > 59)
     {
      ahours++;
      amins = 0;
     } 
     if(ahours > 23)
     {
      ahours = 0; 
     }
     delay(500);
     lcd.clear();
  }
  
  if(digitalRead(13) == LOW)
  {
    
    lcd.setCursor(5,1);
    lcd.print("Set Time");
    lcd.setCursor(6,0);
     if(digitalRead(11) == LOW)
    {
     mins++;
    } 
    else if (digitalRead(10) == LOW)
    {
      hours++;
    }
    

  }
  
      activetime = (millis() / 1000) - starttime;
      if(prevoustime < (activetime - 59))
      {
       mins++;
       prevoustime = activetime;
      } 
      
      if(mins > 59)
     {
      hours++;
      mins = 0;
     } 
     
     if(hours > 23)
     {
      hours = 0; 
     }
  
  
  lcd.setCursor(6,0);
  
  if(hours < 10)
  {
    lcd.print("0");
    lcd.print(hours);
  }
  else
  {
    lcd.print(hours);
  }
    
    lcd.print(":");
    
  if (mins < 10)
  {
    lcd.print("0");
      lcd.print(mins);
  }
  else
  {
      lcd.print(mins);
  }



if(ahours == hours && amins == mins && amins != 0)
{
  tone(9, 1000, 200);
  delay(200);
  noTone(9);
delay(200);
}
else
{
    delay(300);
}
  lcd.clear();
 /* Denne del skriver alle registre ud så man kan de uret går  
 *   
 */
  Serial.print("timer");
  Serial.print(hours);
  Serial.print(", min");
  Serial.print(mins);
  Serial.print(", N tid");    //Active tid er reelt sekunder 
  Serial.print(activetime);   //men de bliver eeelt ved med at tælle op

  Serial.print(", A min");
  Serial.print(amins);
  Serial.print(", A timer");
  Serial.print(ahours);
  Serial.print(", A min");
  Serial.print(amins);
  Serial.print(", F tid");
  Serial.print(prevoustime);
  Serial.print(", S stid");
  Serial.println(starttime);

}

